<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet 
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
        xmlns:st="scenari.eu:styler:1.0"
        xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
        exclude-result-prefixes="st" 
        version="1.0">
<xsl:output method="xml" encoding="UTF-8" omit-xml-declaration="yes"/>
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
<xsl:param name="vArguments"/>
    
<xsl:template match="st:skinSet">
<xsl:apply-templates select="st:description"/>
</xsl:template>
    
<xsl:template match="st:description">
<wspOptionUi key="{resultatAgent('//key')}" 
		             lang="{@lang}"
		             title="{@name}" 
		             uri="{resultatAgent('//uri', @lang)}"
		             version="{resultatAgent('//version')}"
		             component="@scenari.com/ui/wspOption;1"
		             nature="skin">
		   
<wspType key="{/*/st:parentWspKey/@key}" lang="{@lang}"/>
           
<generators>
<xsl:apply-templates select="../st:generator">
<xsl:with-param name="pSkinName" select="@name"/>
<xsl:with-param name="pSkinLang" select="@lang"/>
</xsl:apply-templates>
</generators>
</wspOptionUi>
</xsl:template>
    
<xsl:template match="st:generator">
<xsl:param name="pSkinName"/>
<xsl:param name="pSkinLang"/>
<genOverlay code="{@code}">
<xsl:variable name="vSkinFileName" select="si(@type='sm_odGenerator', '/skin.odt')"/>
<skin owner="{resultatAgent('//key')}" title="{$pSkinName}" code="{resultatAgent('//codeSkin')}"
                  srcPath="/skin/{@code}/{resultatAgent('//codeSkin')}.doss{$vSkinFileName}" srcVersion="{resultatAgent('//version')}" srcLang="zxx"
                  srcRes="{resultatAgent('//keyRes', '')}.ss"/>
</genOverlay>
</xsl:template>
    
</xsl:stylesheet>